富途牛牛 for OpenAPI

为您的程序化交易,提供丰富的行情和交易接口

快速了解 OpenAPI

Futu API

FutuOpenD

  • Ver.5.6.1808 NEW

    最低FutuOpenD版本要求:5.6.1808

    2021/07/15

    1. 【新增】支持环球期货、期权的交易日查询
  • Ver.5.5.1708

    最低FutuOpenD版本要求:5.5.1708

    2021/06/22

    1. 【新增】Python 文档新增交易策略搭建示例
    2. 【新增】支持通过 nuget 仓库配置 C# API
    3. 【优化】不同语言的 Futu API 支持拆分下载
    4. 【优化】到价提醒备注的长度上限统一为 20 个中文字符
    5. 【优化】C# API 采用纯 C# 实现
    6. 【优化】Java API 采用纯 Java 实现
    7. 【修复】因网络原因导致的期货主力合约获取错误
  • Ver.5.4.1610 点击下载

    最低FutuOpenD版本要求:5.4.1608

    2021/05/31

    1. 【新增】获取融资融券数据接口
    2. 【新增】获取期权链到期日接口
    3. 【新增】支持通过 maven 仓库配置 Java API
    4. 【新增】支持无美股期权行情权限的用户使用模拟交易
    5. 【优化】API 文档补齐了 Java、C#、C++、JavaScript 的接口介绍和示例
    6. 【优化】查询类交易接口,无需验证交易密码
  • Ver.5.3.1510 点击下载

    最低FutuOpenD版本要求:5.3.1508

    2021/04/27

    1. 【优化】Java、C++、C#、JavaScript 示例代码告警优化
    2. 【新增】JavaScript API 支持通过 npm 升级
    3. 【新增】支持富途证券(新加坡)客户使用
  • Ver.5.2.1408 点击下载

    最低FutuOpenD版本要求:5.2.1408

    2021/03/30

    1. 【新增】支持新加坡期货和日本期货交易
    2. 【新增】支持期货 GTC 订单能力
    3. 【新增】可视化 FutuOpenD 控制台新增行情卡购买入口气泡
    4. 【新增】设置到价提醒接口新增 3 分钟涨跌幅类型
    5. 【优化】API 文档引入高级搜索引擎
    6. 【优化】API 文档 url 中文后缀冗长问题

FUTU Open API

为您的程序化交易,提供丰富的行情和交易接口

Futu API

FutuOpenD

  • Ver.5.6.1808 NEW

    最低FutuOpenD版本要求:5.6.1808

    2021/07/15

    1. 【新增】支持环球期货、期权的交易日查询
  • Ver.5.5.1708

    最低FutuOpenD版本要求:5.5.1708

    2021/06/22

    1. 【新增】Python 文档新增交易策略搭建示例
    2. 【新增】支持通过 nuget 仓库配置 C# API
    3. 【优化】不同语言的 Futu API 支持拆分下载
    4. 【优化】到价提醒备注的长度上限统一为 20 个中文字符
    5. 【优化】C# API 采用纯 C# 实现
    6. 【优化】Java API 采用纯 Java 实现
    7. 【修复】因网络原因导致的期货主力合约获取错误
  • Ver.5.4.1610 点击下载

    最低FutuOpenD版本要求:5.4.1608

    2021/05/31

    1. 【新增】获取融资融券数据接口
    2. 【新增】获取期权链到期日接口
    3. 【新增】支持通过 maven 仓库配置 Java API
    4. 【新增】支持无美股期权行情权限的用户使用模拟交易
    5. 【优化】API 文档补齐了 Java、C#、C++、JavaScript 的接口介绍和示例
    6. 【优化】查询类交易接口,无需验证交易密码
  • Ver.5.3.1510 点击下载

    最低FutuOpenD版本要求:5.3.1508

    2021/04/27

    1. 【优化】Java、C++、C#、JavaScript 示例代码告警优化
    2. 【新增】JavaScript API 支持通过 npm 升级
    3. 【新增】支持富途证券(新加坡)客户使用
  • Ver.5.2.1408 点击下载

    最低FutuOpenD版本要求:5.2.1408

    2021/03/30

    1. 【新增】支持新加坡期货和日本期货交易
    2. 【新增】支持期货 GTC 订单能力
    3. 【新增】可视化 FutuOpenD 控制台新增行情卡购买入口气泡
    4. 【新增】设置到价提醒接口新增 3 分钟涨跌幅类型
    5. 【优化】API 文档引入高级搜索引擎
    6. 【优化】API 文档 url 中文后缀冗长问题
回到顶部